FLATPAK REPAIR(1)

NAME
flatpak-repair - Repair a flatpak installation

SYNOPSIS

flatpak repair [OPTION...]

DESCRIPTION

Repair a flatpak installation by pruning and reinstalling invalid objects. The repair command does all of the following:

    • Scan all locally available refs, removing any that don't correspond to a deployed ref.

    • Verify each commit they point to, removing any invalid objects and noting any missing objects.

    • Remove any refs that had an invalid object, and any non-partial refs that had missing objects.

    • Prune all objects not referenced by a ref, which gets rid of any possibly invalid non-scanned objects.

    • Enumerate all deployed refs and re-install any that are not in the repo (or are partial for a non-subdir deploy).

Note that flatpak repair has to be run with root privileges to operate on the system installation.

An alternative command for repairing OSTree repositories is ostree fsck.

OPTIONS

The following options are understood:

-h, --help
    Show help options and exit.

--user
    Repair per-user installation.

--system
    Repair system-wide installation.

--installation=NAME
    Repair the system-wide installation specified by NAME among those defined in /etc/flatpak/installations.d/. Using --installation=default is equivalent to using --system.

--dry-run
    Only report inconsistencies, don't make any changes

--reinstall-all
    Reinstall all refs, regardless of whether they were removed from the repo or not

-v, --verbose
    Print debug information during command processing.

--ostree-verbose
    Print OSTree debug information during command processing.

EXAMPLES

$ sudo flatpak repair

$ flatpak repair --user

SEE ALSO

flatpak(1), ostree-fsck(1)